Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jdesktop.swingx.plaf.windows
Class WindowsClassicStatusBarUI

    java.lang.Object
      javax.swing.plaf.ComponentUI
          org.jdesktop.swingx.plaf.StatusBarUI
              org.jdesktop.swingx.plaf.basic.BasicStatusBarUI
                  org.jdesktop.swingx.plaf.windows.WindowsClassicStatusBarUI

    public class WindowsClassicStatusBarUI

extends BasicStatusBarUI

Author:
  rbair

Field Summary

Fields inherited from class org.jdesktop.swingx.plaf.basic.BasicStatusBarUI
`AUTO_ADD_SEPARATOR, mouseListener, mouseMotionListener, propertyChangeListener, statusBar`

Constructor Summary
`WindowsClassicStatusBarUI()` Creates a new instance of BasicStatusBarUI

Method Summary
`protected javax.swing.plaf.BorderUIResource` | `createBorder()`
`static javax.swing.plaf.ComponentUI` | `createUI(javax.swing.JComponent c)` Returns an instance of the UI delegate for the specified component.
`protected int` | `getSeparatorWidth()`
`protected void` | `paintBackground(java.awt.Graphics2D g, JXStatusBar bar)`
`protected void` | `paintSeparator(java.awt.Graphics2D g, JXStatusBar bar, int x, int y, int w, int h)`

Methods inherited from class org.jdesktop.swingx.plaf.basic.BasicStatusBarUI
`createLayout, createMouseListener, createMouseMotionListener, createPropertyChangeListener, getSeparatorInsets, includeSeparators, installDefaults, installListeners, installUI, paint, uninstallDefaults, uninstallListeners, uninstallUI`

Methods inherited from class javax.swing.plaf.ComponentUI
`contains, getAccessibleChild, getAccessibleChildrenCount, getBaseline, getBaselineResizeBehavior, getMaximumSize, getMinimumSize, getPreferredSize, update`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WindowsClassicStatusBarUI

    public WindowsClassicStatusBarUI()

  Creates a new instance of BasicStatusBarUI

Method Detail

### createUI

    public static javax.swing.plaf.ComponentUI createUI(javax.swing.JComponent c)

  Returns an instance of the UI delegate for the specified component. Each subclass must provide its own static `createUI` method that returns an instance of that UI delegate subclass. If the UI delegate subclass is stateless, it may return an instance that is shared by multiple components. If the UI delegate is stateful, then it should return a new instance per component. The default implementation of this method throws an error, as it should never be invoked.

### paintBackground

    protected void paintBackground(java.awt.Graphics2D g,
                                   JXStatusBar bar)

  Overrides:
    `paintBackground` in class `BasicStatusBarUI`

### paintSeparator

    protected void paintSeparator(java.awt.Graphics2D g,
                                  JXStatusBar bar,
                                  int x,
                                  int y,
                                  int w,
                                  int h)

  Overrides:
    `paintSeparator` in class `BasicStatusBarUI`

### getSeparatorWidth

    protected int getSeparatorWidth()

  Overrides:
    `getSeparatorWidth` in class `BasicStatusBarUI`

### createBorder

    protected javax.swing.plaf.BorderUIResource createBorder()

  Overrides:
    `createBorder` in class `BasicStatusBarUI`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010. All Rights Reserved.